#### Previous topic

scipy.integrate.ode.successful

#### Next topic

scipy.integrate.complex_ode.integrate

# scipy.integrate.complex_ode

class `scipy.integrate.``complex_ode`(f, jac=None)

  A wrapper of ode for complex systems.

  This functions similarly as `ode`, but re-maps a complex-valued equation system to a real-valued one before using the integrators.

  Parameters:

  f : callable `f(t, y, *f_args)`

  > Rhs of the equation. t is a scalar, `y.shape == (n,)`. `f_args` is set by calling `set_f_params(*args)`.

  jac : callable `jac(t, y, *jac_args)`

  > Jacobian of the rhs, `jac[i,j] = d f[i] / d y[j]`. `jac_args` is set by calling `set_f_params(*args)`.

  Examples

  For usage examples, see `ode`.

  Attributes

  t | (float) Current time.
  y | (ndarray) Current variable values.

  Methods

  `integrate`(t[, step, relax]) | Find y=y(t), set y as an initial condition, and return y.
  `set_f_params`(*args) | Set extra parameters for user-supplied function f.
  `set_initial_value`(y[, t]) | Set initial conditions y(t) = y.
  `set_integrator`(name, **integrator_params) | Set integrator by name.
  `set_jac_params`(*args) | Set extra parameters for user-supplied function jac.
  `set_solout`(solout) | Set callable to be called at every successful integration step.
  `successful`() | Check if integration was successful.